Subject: Re: multiple dll's cause app to hang (thanks)
From: John Jones <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Wed, 19 Dec 2001 17:19:11 +0000

dear all

thanks for the fast responses !

I searched the list and came up with nothing should have known it to be 
in the FAQ (-;

odd thing is that if you mix B19 and current net lists it loads the 
right dll

I presume this is to do with the major and minor API version numbers

right/wrong ?

regards

john jones

p.s. I thought this might have been app related that's why I cross 
posted I have learnt my lesson

Corinna Vinschen wrote:

> 
> The Cygwin DLL is documented to run in highlander mode.
> You can only have cygwin1.dll once in $PATH.
> 
> Corinna
> 
> 

> At 11:29 AM 12/19/2001, John Jones wrote:
> 

Larry Hall (RFK Partners, Inc) wrote

>>dear all
>>
>>I have what I would call a major problem.
>>(common across all machine types I have here)
>>
>>when I compile a application such as sed and cygwin1.dll everything works but if I try and mix my dll with the net version it hangs
> 
> 
> See the FAQ entry:
> 
> Is it OK to have multiple copies of the DLL?
> http://cygwin.com/faq/faq_4.html#SEC50
> 
> 
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/